# QHeaderView Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemView.

### Constructor

- void QHeaderView(Orientation orientation, QWidget parent)

### Constructor Properties

- prototype: The QHeaderView prototype object
- Interactive
- Stretch
- Fixed
- ResizeToContents
- ResizeMode( value )

### Prototype Object Properties

The QHeaderView prototype object inherits properties from the QAbstractItemView prototype object and also has the following properties.

- int count()
- int hiddenSectionCount()
- void hideSection(int logicalIndex)
- bool isClickable()
- bool isMovable()
- bool isSectionHidden(int logicalIndex)
- int length()
- int logicalIndex(int visualIndex)
- int logicalIndexAt(QPoint pos)
- void moveSection(int from, int to)
- int offset()
- Orientation orientation()
- ResizeMode resizeMode(int logicalIndex)
- void resizeSection(int logicalIndex, int size)
- void resizeSections(ResizeMode mode)
- bool restoreState(QByteArray state)
- QByteArray saveState()
- int sectionPosition(int logicalIndex)
- int sectionSize(int logicalIndex)
- int sectionSizeHint(int logicalIndex)
- int sectionViewportPosition(int logicalIndex)
- bool sectionsHidden()
- bool sectionsMoved()
- void setClickable(bool clickable)
- void setMovable(bool movable)
- void setResizeMode(ResizeMode mode)
- void setSectionHidden(int logicalIndex, bool hide)
- void setSortIndicator(int logicalIndex, SortOrder order)
- void showSection(int logicalIndex)
- SortOrder sortIndicatorOrder()
- int sortIndicatorSection()
- int stretchSectionCount()
- void swapSections(int first, int second)
- int visualIndex(int logicalIndex)
- int visualIndexAt(int position)

### Instance Properties

QHeaderView objects inherit properties from the QHeaderView prototype object and also have the following properties.

- showSortIndicator
- highlightSections
- stretchLastSection
- cascadingSectionResizes
- defaultSectionSize
- minimumSectionSize
- defaultAlignment